version: '3.8'
services:
    ontop-endpoint:
      image: ontop-endpoint
      volumes:
         - './UC3-Ontology.properties:/opt/ontop/UC3-Ontology.properties'
      environment:
        ONTOP_ONTOLOGY_FILE: UC3-Ontology.owl
        ONTOP_MAPPING_FILE: UC3-Ontology.obda
        ONTOP_PROPERTIES_FILE: UC3-Ontology.properties
        ONTOP_CORS_ALLOWED_ORIGINS: "*"
        ONTOP_DEV_MODE: "true"
        ONTOP_LAZY_INIT: "true"
        ONTOP_DEBUG: "true"
      ports:
        - "8080:8080"